package gov.va.vss.persistence.queryCustomization.fieldTypes;

import gov.va.vss.model.facility.Facility;

public enum FacilityAssociationFieldType implements ModelAssociationFieldType {
	PARENT("parent"), //
	;

	private String fieldName;

	private FacilityAssociationFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return Facility.class;
	}

}